$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on('blur focus', '#vouchdt', AttnDetl);
    $("body").on('change', '.staff', GetSalHrs);
    $("body").on('blur', '.remarks', Autoaddrow);


    function GetSalHrs() {
        var tr = $(this).closest("tr"),
                staff = tr.find(".staff").val();

        $.post('get_salhrs.php', {staff: staff}, function (data) {
            tr.find(".salhrs").val(data);
        });
    }

    function AttnDetl() {
        $(".tohide").show();

        var vouchdt = $("#vouchdt").val();
        var ctr = 0;

        $.post('get_attend.php', {ctr: ctr, vouchdt: vouchdt}, function (data) {
            $('.data').html(data);
            $('select').select2();
        });

        $.post('get_attendctr.php', {ctr: ctr, vouchdt: vouchdt}, function (data) {
            if (data <= 0) {
                $('#items').val(1);
            } else {
                $('#items').val(data);
            }
//        }).done(function () {
//            AddRows();
        });
    }


    $('#addnew').click(function () {
        AddRows();
    });
    function remove() {
        $(this).closest("tr").remove();
    }



    function AddRows() {
        var ctr = $('#items').val();
        var vouchdt = $("#vouchdt").val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        var focusFld = ".focusFld_" + ctr;
        $.post('attend_add.php', {ctr: ctr, hide: hide_check, vouchdt: vouchdt}, function (data) {
            $(data).appendTo('.data');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
            $(detail).select2("open");
        });
    }

    function Autoaddrow() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }

}
);